%načtení dat
clear all
X = [20.1344,4.66721,12.243,3.13402,169.237];
Y =[12.0581,3.24074,29.4613,3.34596,15.9933,4.16667];
Z = [71.2031,36.5034,42.6813,14.7682];

%Y =Y'; % Transpozice -
% sloupce se zobrazuji pro radky matice *
figure(1)
subplot(1,3,1);
a = bar(X);
title ('Kapacita -90 dBm/Hz', 'FontName','Arial','FontSize',20);
text(1:length(X),X,num2str(X'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n27','n27->n28','n28->n31','n31->n32','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)


subplot(1,3,2);
b = bar(Y);
title ('Kapacita -70 dBm/Hz', 'FontName','Arial','FontSize',20);
text(1:length(Y),Y,num2str(Y'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n19','n19->n27','n27->n28','n28->n29','n29->n32','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)
subplot(1,3,3);


c = bar(Z);

title ('Kapacita rezidenční rušení', 'FontName','Arial','FontSize',20);
text(1:length(Z),Z,num2str(Z'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n27','n27->n28','n28->n32','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)
